Bug 136148 - missing return statement
Summary: missing return statement
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dos2unix   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-18 11:46 UTC by David Binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 3.1-21
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-20 15:30:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:195 low SHIPPED_LIVE dos2unix and unix2dos bug fix update 2005-05-19 04:00:00 UTC

Description David Binderman 2004-10-18 11:46:21 UTC
Description of problem:

I just tried to compile package dos2unix-3.1-19 from package
Redhat Fedora Core 3 Test 3.

The compiler said

dos2unix.c(172): warning #1011: missing return statement at end of
non-void function "StripDelimiter"

The source code is

  if (ipFlag->NewLine) {  /* add additional LF? */
    putc('\n', ipOutF);
  }
}

But the function is marked with "int" return type. Suggest add a
return statement to the end of the function.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Miloslav Trmač 2004-10-20 15:30:55 UTC
Fixed in dos2unix-3.1-21. Thanks for your report.

Comment 2 Tim Powers 2005-05-20 00:35:36 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-195.html



Note You need to log in before you can comment on or make changes to this bug.